"use strict";
var testing_1 = require('@angular/core/testing');
var auth_config_1 = require("./auth.config");
testing_1.describe('AuthConfig', function () {
    'use strict';
    testing_1.it('is initialized with default values', function () {
        var config = new auth_config_1.AuthConfig();
        testing_1.expect(config).toBeDefined();
        testing_1.expect(config.accessToken).toBe("access-token");
        testing_1.expect(config.tokenType).toBe("token-type");
        testing_1.expect(config.client).toBe("client");
        testing_1.expect(config.expiry).toBe('expiry');
        testing_1.expect(config.uid).toBe('uid');
        testing_1.expect(config.globalHeaders).toEqual([]);
    });
    testing_1.it('is initialized with the passed values', function () {
        var configExpected = {
            accessToken: "Foo",
            tokenType: "Bar",
            client: "token",
            expiry: 'no-expiry',
            uid: 'foo@bar.com',
            globalHeaders: [{ "header": "value" }, { "header2": "value2" }]
        };
        var config = new auth_config_1.AuthConfig(configExpected);
        testing_1.expect(config).toBeDefined();
        testing_1.expect(config.accessToken).toBe(configExpected.accessToken);
        testing_1.expect(config.tokenType).toBe(configExpected.tokenType);
        testing_1.expect(config.client).toBe(configExpected.client);
        testing_1.expect(config.expiry).toBe(configExpected.expiry);
        testing_1.expect(config.uid).toBe(configExpected.uid);
        testing_1.expect(config.globalHeaders).toEqual(configExpected.globalHeaders);
    });
});
//# sourceMappingURL=auth.config.spec.js.map